fmt(1)

NAME
fmt - Reformat paragraphs from input files (or stdin) to stdout.

SYNOPSIS
fmt [-c|--crown-margin] [-t|--tagged-paragraph] [-m|--preserve-headers] [-s|--split-only] [-u|--uniform-spacing] [-p|--prefix] [-P|--skip-prefix] [-x|--exact-prefix] [-X|--exact-skip-prefix] [-w|--width] [-g|--goal] [-q|--quick] [-T|--tab-width] [-h|--help] [-V|--version] [FILES]

DESCRIPTION
Reformat paragraphs from input files (or stdin) to stdout.

OPTIONS

-c, --crown-margin
    First and second line of paragraph may have different indentations, in which case the first line's indentation is preserved, and each subsequent line's indentation matches the second line.

-t, --tagged-paragraph
    Like -c, except that the first and second line of a paragraph *must* have different indentation or they are treated as separate paragraphs.

-m, --preserve-headers
    Attempt to detect and preserve mail headers in the input. Be careful when combining this flag with -p.

-s, --split-only
    Split lines only, do not reflow.

-u, --uniform-spacing
    Insert exactly one space between words, and two between sentences. Sentence breaks in the input are detected as [?!.] followed by two spaces or a newline; other punctuation is not interpreted as a sentence break.

-p, --prefix=PREFIX
    Reformat only lines beginning with PREFIX, reattaching PREFIX to reformatted lines. Unless -x is specified, leading whitespace will be ignored when matching PREFIX.

-P, --skip-prefix=PSKIP
    Do not reformat lines beginning with PSKIP. Unless -X is specified, leading whitespace will be ignored when matching PSKIP

-x, --exact-prefix
    PREFIX must match at the beginning of the line with no preceding whitespace.

-X, --exact-skip-prefix
    PSKIP must match at the beginning of the line with no preceding whitespace.

-w, --width=WIDTH
    Fill output lines up to a maximum of WIDTH columns, default 75. This can be specified as a negative number in the first argument.

-g, --goal=GOAL
    Goal width, default of 93% of WIDTH. Must be less than or equal to WIDTH.

-q, --quick
    Break lines more quickly at the expense of a potentially more ragged appearance.

-T, --tab-width=TABWIDTH
    Treat tabs as TABWIDTH spaces for determining line length, default 8. Note that this is used only for calculating line lengths; tabs are preserved in the output.

-h, --help
    Print help

-V, --version
    Print version

[FILES]

VERSION
v0.0.27